Subject: Re: linux-next: build failure after merge of the watchdog tree

From: Wim Van Sebroeck <[email-masked]>
Date: Wed, 16 Dec 2020 16:27:13 +0100

Hi Stephen,

It's on my todo list for today.

Kind ergards,
Wim.

> Hi all,
> 
> On Sun, 13 Dec 2020 22:09:55 -0800 Guenter Roeck <[email-masked]> wrote:
> >
> > On 12/13/20 9:23 PM, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > After merging the watchdog tree, today's linux-next build (x86_64
> > > allmodconfig) failed like this:
> > > 
> > > In file included from include/linux/device.h:15,
> > >                  from include/linux/acpi.h:15,
> > >                  from drivers/watchdog/iTCO_wdt.c:48:
> > > drivers/watchdog/iTCO_wdt.c: In function 'iTCO_wdt_start':
> > > drivers/watchdog/iTCO_wdt.c:280:17: error: 'struct watchdog_device' has no member named 'dev'
> > >   280 |   dev_err(wd_dev->dev, "failed to reset NO_REBOOT flag, reboot disabled by hardware/BIOS\n");
> > >       |                 ^~  
> > 
> > Yes, that should have been wd_dev->parent. Sorry I didn't notice that earlier.
> > 
> > Guenter
> > 
> > > include/linux/dev_printk.h:112:11: note: in definition of macro 'dev_err'
> > >   112 |  _dev_err(dev, dev_fmt(fmt), ##__VA_ARGS__)
> > >       |           ^~~
> > > 
> > > Caused by commit
> > > 
> > >   9c612b338fdf ("watchdog: iTCO_wdt: use dev_*() instead of pr_*() for logging")
> > 
> > > I have used the wtchdog tree from next-20201211 for today.
> 
> I am still getting this build failure.
> 
> -- 
> Cheers,
> Stephen Rothwell